Bug 56873 - mount: /dev/cdrom is not a valid block device
mount: /dev/cdrom is not a valid block device
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-29 07:17 EST by andrewm
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-29 07:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrewm 2001-11-29 07:17:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
CDROM is not mountable after the install and reboot process is completed. 
All other devices are mountable.

This CDROM drive is detected and mountable with Red Hat 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. CDROM used to boot and install Red Hat 7.2
2. Reboot
3. mount /dev/cdrom /mnt/cdrom

Actual Results:  This error message is returned to the console
  mount: /dev/cdrom is not a valid block device

Expected Results:  This message should be returned to the console and the 
CDROM is then mounted and usable:
    mount: block device /dev/cdrom is write-protected, mounting read-only

Additional info:

This is from the symbolic link in the /dev directory
lrwxrwxrwx  1  root  root    8 Oct 14 22:09 cdrom -> /dev/hdd

The /etc/fstab file contains this line
/dev/cdrom   /mnt/cdrom iso9660 noauto,owner,kudzu,ro 0 0

This information is from the boot process
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:pio
hda: WDC AC33200L, ATA DISK drive
hdd: MATSHITA CR-574, ATAPI CD/DVD-ROM drive
Comment 1 Bernhard Rosenkraenzer 2001-11-29 07:51:13 EST
/dev/cdrom apparently isn't created correctly in your setup, reassigning.
Comment 2 Jeremy Katz 2001-11-30 16:32:23 EST
Run depmod post-install... a run of it during the installer didn't catch the
different symbols.  (also, upgrade to the errata kernel as installing it will
make this be magically fixed as a side effect :)

This is fixed in CVS
Comment 3 andrewm 2001-12-01 06:47:27 EST
Thankyou very much, depmod has fixed the problem and now the cdrom is usable.
Thankyou.

Two final questions;
What is  the errata kernel? -- also, upgrade to the errata kernel as installing 
it will make this be magically fixed as a side effect 

And what is CVS?

Thank you.

Note You need to log in before you can comment on or make changes to this bug.